// Check that fsx is installed
capture which fsx
if _rc==111 ssc install fsx

capture program drop do_scd70
program define do_scd70
    version 10.0

    preserve

    clear
    fsx h3*.scd.dta h4*.scd.dta
    foreach file in `r(files)' {
        use `file'
        capture `0'
        if _rc != 0 {
            di "Error: in `file'"
            di "No modification to `file'"
        }
        else {
            save `file', replace
        }
        clear
    }
    
    restore
end

capture program drop do_scd90
program define do_scd90
    version 10.0

    preserve

    clear
    fsx h5*.scd.dta
    foreach file in `r(files)' {
        use `file'
        capture `0'
        if _rc != 0 {
            di "Error: in `file'"
            di "No modification to `file'"
        }
        else {
            save `file', replace
        }
        clear
    }
    
    restore
end

capture program drop do_sl70
program define do_sl70
    version 10.0

    preserve

    clear
    fsx h3*.sl.dta h4*.sl.dta
    foreach file in `r(files)' {
        use `file'
        capture `0'
        if _rc != 0 {
            di "Error: in `file'"
            di "No modification to `file'"
        }
        else {
            save `file', replace
        }
        clear
    }
    
    restore
end

capture program drop do_sl90
program define do_sl90
    version 10.0

    preserve

    clear
    fsx h5*.sl.dta
    foreach file in `r(files)' {
        use `file'
        capture `0'
        if _rc != 0 {
            di "Error: in `file'"
            di "No modification to `file'"
        }
        else {
            save `file', replace
        }
        clear
    }
    
    restore
end
